package com.rjconsultores.ventaboletos.vo.comissao;

import java.math.BigDecimal;

public class ComissaoDesconto {

	public enum TipoDesconto {
		FIXO, EVENTUAL;
	}

	private String nomeDesconto;
	private BigDecimal valorDesconto;
	private TipoDesconto tipo;
	private String tipoDesconto;

	public String getNomeDesconto() {
		return nomeDesconto;
	}

	public void setNomeDesconto(String nomeDesconto) {
		this.nomeDesconto = nomeDesconto;
	}

	public BigDecimal getValorDesconto() {
		return valorDesconto;
	}

	public void setValorDesconto(BigDecimal valorDesconto) {
		this.valorDesconto = valorDesconto;
	}

	public String getTipoDesconto() {
		if(this.tipo != null)
			return tipo.toString();
		
		return tipoDesconto;
	}

	public void setTipoDesconto(String tipoDesconto) {
		this.tipoDesconto = tipoDesconto;
	}

	public TipoDesconto getTipo() {
		return tipo;
	}

	public void setTipo(TipoDesconto tipo) {
		this.tipo = tipo;
	}

	@Override
	public String toString() {
		return "RegistroCalculoDesconto [nomeDesconto=" + nomeDesconto + ", valorDesconto=" + valorDesconto + ", tipoDesconto=" + tipoDesconto + "]";
	}

}
